VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
ParamChanges Class Reference

VstAutomationTest helper classes: implementation of IParamValueQueue. More...

`#include <vsttestsuite.h>`

Inheritance diagram for ParamChanges:

## Public Member Functions
| ParamChanges ()
virtual | ~ParamChanges ()
DECLARE_FUNKNOWN_METHODS void | init (ParamID _id, int32 _numPoints)
bool | setPoint (int32 index, int32 offsetSamples, double value)
void | resetPoints ()
int32 | getProcessedFrames () const
void | setProcessedFrames (int32 amount)
bool | havePointsBeenRead (bool atAll)
ParamID | getParameterId () SMTG_OVERRIDE
int32 | getPointCount () SMTG_OVERRIDE
tresult | getPoint (int32 index, int32 &offsetSamples, double &value) SMTG_OVERRIDE
tresult | addPoint (int32, double, int32 &) SMTG_OVERRIDE
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Additional Inherited Members
Static Public Attributes inherited from IParamValueQueue
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

VstAutomationTest helper classes: implementation of IParamValueQueue.

## Constructor & Destructor Documentation

ParamChanges | ( |  | ) |
| inline

virtual ~ParamChanges | ( |  | ) |
| inline virtual

## Member Function Documentation

DECLARE_FUNKNOWN_METHODS void init | ( | ParamID | _id,
|  | int32 | _numPoints
| ) |  |
| inline

bool setPoint | ( | int32 | index,
|  | int32 | offsetSamples,
|  | double | value
| ) |  |
| inline

void resetPoints | ( |  | ) |
| inline

int32 getProcessedFrames | ( |  | ) | const
| inline

void setProcessedFrames | ( | int32 | amount | ) |
| inline

bool havePointsBeenRead | ( | bool | atAll | ) |
| inline

ParamID getParameterId | ( |  | ) |
| inline virtual

Implements IParamValueQueue.

int32 getPointCount | ( |  | ) |
| inline virtual

Implements IParamValueQueue.

tresult getPoint | ( | int32 | index,
|  | int32 & | offsetSamples,
|  | double & | value
| ) |  |
| inline virtual

Implements IParamValueQueue.

tresult addPoint | ( | int32 | ,
|  | double | ,
|  | int32 & |
| ) |  |
| inline virtual

Implements IParamValueQueue.

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.